/**
 * Model file for working with data
 */

/**
 * Main Model Object
 *
 */

var model = {};

model.init = function() {


}

/**
  * Gets posts from local store
  *
  * @return store {object} Object of posts
  */

model.getPosts = function() {

  var posts = model.getLocalStore();
  return posts;

}


/**
  * Gets content from local store
  *
  * @return store {object} Native JavaScript object from local store
  */

model.getLocalStore = function() {

  return JSON.parse( localStorage.getItem( 'vanillaPress' ) );

}

/**
  * Saves temporary store to local storage.
  *
  * @param store {object} Native JavaScript object with site data
  */

model.updateLocalStore = function( store ) {

  localStorage.setItem( 'vanillaPress', JSON.stringify( store ) );

}

/**
  * Deletes data from local storage
  *
  */

model.removeLocalStore = function() {

  localStorage.removeItem( 'vanillaPress' );

}
